#
# Example 15-2
# Using vwait to activate the event loop.
#

fileevent stdin readable StdinRead
proc StdinRead {} {
	global command prompt
	if [eof stdin] {
		exit
	}
	append command(line) [gets stdin]
	if [info complete $command(line)] {
		catch {uplevel #0 $command(line)} result
		puts $result
		puts -nonewline $prompt
		flush stdout
		set command(line) {}
	}
}
puts -nonewline $prompt
flush stdout
vwait forever


